# frozen_string_literal: true

require 'securerandom'

# /message routes
class Destructo < Sinatra::Base

  get '/message' do
    redirect '/message/new'
  end

  get '/message/new' do
    erb :'message/new', locals: {
      title: 'Create new message'
    }
  end

  post '/message/new' do
    # generate a random string for the slug
    slug = SecureRandom.urlsafe_base64(12)

    # create object in DB
    msg = Message.create(
      slug: slug,
      body: params[:message_body]
    )

    flash[:success] = "Your message was created successfully! Share this link: https://msg.destructo.com/#{slug}"

    redirect '/'
  end

end
